import { Component, Output, EventEmitter, Input } from '@angular/core';

@Component({
  selector: 'app-shared-sidebar',
  templateUrl: './shared-sidebar.component.html',
  styleUrls: ['./shared-sidebar.component.css']
})
export class SharedSidebarComponent {
  @Output() startZone = new EventEmitter<void>();
  @Output() finishZone = new EventEmitter<void>();
  @Output() createPoint = new EventEmitter<void>();

  @Input() drawingPolygon: boolean = false;
  @Input() drawingPoint: boolean = false;

  onCreatePoint() {
    this.createPoint.emit();
  }

  onStartZone() {
    this.startZone.emit();
  }

  onFinishZone() {
    this.finishZone.emit();
  }
}
